Get a file record by ID
Path Parameters
- Type: integerfile
Id requiredID of file
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/file/{fileId}
curl https://test.boost.space/api/file/1 \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"createdUserId": 42,
"updated": "2026-01-15T09:30:00Z",
"updatedUserId": 42,
"statusId": 42,
"statusSystemId": 42,
"path": "string",
"fileName": "Sample fileName",
"name": "Sample name",
"type": "string",
"customType": 1,
"storage": 1,
"filesize": "string",
"boostId": "string",
"customFieldsValues": [
{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"valueWysiwyg": "string",
"valueInt": 1,
"valueFloat": 1.5,
"valueDatetime": "2026-01-15T09:30:00Z",
"valueModule": "string",
"value": "string",
"fileId": 42,
"customFieldInputId": 42,
"module": "activities",
"table": "string",
"entityId": 42,
"customFieldInputName": "Sample customFieldInputName",
"selected": true,
"ipAddress": "string",
"translatable": true,
"translations": {
"en": {
"field1": "translation1",
"field2": "translation2"
},
"it": {
"field1": "translation1",
"field2": "translation2"
},
"cs": {
"field1": "translation1",
"field2": "translation2"
}
}
}
],
"publicUrl": "https://acme.boost.space",
"resize": [
{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"path": "string"
}
],
"status": {
"id": 42,
"created": "2026-01-15T09:30:00Z",
"created_user_id": 42,
"name": "Sample name",
"color": "#1f6feb",
"icon": "string",
"icon_prefix": "string",
"weight": 1,
"status_system_id": 42,
"boostId": "string",
"spaces": [
1
],
"statusSystem": {
"id": 42,
"color": "#1f6feb",
"icon_prefix": "string",
"icon": "string",
"module": "string",
"weight": 1,
"name": "Sample name",
"system_name": "Sample system_name",
"activated": 1,
"custom": true,
"allow_move": "string",
"boostId": "string"
}
},
"statusSystem": {
"id": 42,
"color": "#1f6feb",
"icon_prefix": "string",
"icon": "string",
"module": "string",
"weight": 1,
"name": "Sample name",
"system_name": "Sample system_name",
"activated": 1,
"custom": true,
"allow_move": "string",
"boostId": "string"
},
"labels": [
[
{
"id": 42,
"created": "2026-01-15T09:30:00Z",
"createdUserId": 42,
"updated": "2026-01-15T09:30:00Z",
"updatedUserId": 42,
"spaces": {
"12": [
"contact",
"todo"
],
"34": []
},
"name": "Sample name",
"color": "#1f6feb",
"type": "string",
"module": "string",
"editable": true
}
]
],
"isFeaturedImage": true,
"usage": [
[
{
"name": 1
}
]
]
}